import { writeFileSync } from "fs";
import { join } from "path";

// thanks varoombaa
const vehicles = [
  ["sunderer", 2, 264],
  ["flash", 1, 262],
  ["lightning", 3, 258],
  ["magrider", 4, 259],
  ["vanguard", 5, 265],
  ["prowler", 6, 261],
  ["scythe", 7, 266],
  ["reaver", 8, 263],
  ["mosquito", 9, 260],
  ["liberator", 10, 257],
  ["galaxy", 11, 256],
  ["harasser", 12, 8852],
  ["valkyrie", 14, 79711],
  ["ant", 15, 84726],
  ["glaive", 163, 264],
  ["flash", 1001, 260],
  ["liberator", 1010, 258],
  ["galaxy", 1011, 256],
  ["colossus", 2007, 92801],
  ["bastion", 2019, 92392],
  ["javelin", 2033, 92332],
  ["dervish", 2136, 93607],
  ["chimera", 2137, 93604],
  ["corsair", 2142, 95012],
];

for (let [name, , imageID] of vehicles) {
  const response = await fetch(
    `https://census.daybreakgames.com/files/ps2/images/static/${imageID}.png`
  );

  const buf = await response.arrayBuffer();
  const outPath = `./app/images/vehicles/${name}.png`;
  writeFileSync(outPath, Buffer.from(buf));

  console.log(`wrote ${name} (${imageID}) to ${outPath}`);
}
